Bug 36238 - Mesa release files don't contain scons control files
Mesa release files don't contain scons control files
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Other
7.10
x86 (IA32) Windows (All)
: medium normal
Assigned To: mesa-dev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-14 09:21 UTC by Anthony Berent
Modified: 2011-06-08 07:17 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Build log showing the stdbool.h problem. (21.22 KB, text/plain)
2011-05-31 12:25 UTC, Anthony Berent
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Berent 2011-04-14 09:21:40 UTC
The file ftp://ftp.freedesktop.org/pub/mesa/7.10.2/MesaLib-7.10.2.zip and the equivalent .tar.gz and .tar.bz2 files don't contain any scons control files (SConstuct or SConscript files). scons is the recommended way of building Mesa, at least on Windows, so these are needed.

The files do exist on in the tag on the git repository.
Comment 1 Brian Paul 2011-04-19 08:13:32 UTC
Ok, I've fixed this in git on master and the 7.10 branch.  I did test builds and everything seems in order, but there's still a chance that I might have missed something.  If I make some updated tarballs of 7.10.2 will you test them?
Comment 2 Anthony Berent 2011-04-20 01:57:35 UTC
Hi Brian,

Thanks. Yes, I am happy to test them, although I will be away this Friday and all of next week.

- Anthony

> -----Original Message-----
> From: bugzilla-daemon@freedesktop.org [mailto:bugzilla-
> daemon@freedesktop.org]
> Sent: 19 April 2011 16:14
> To: Anthony Berent
> Subject: [Bug 36238] Mesa release files don't contain scons control files
>
> https://bugs.freedesktop.org/show_bug.cgi?id=36238
>
> --- Comment #1 from Brian Paul <brian.e.paul@gmail.com> 2011-04-19
> 08:13:32 PDT ---
> Ok, I've fixed this in git on master and the 7.10 branch.  I did test
> builds
> and everything seems in order, but there's still a chance that I might
> have
> missed something.  If I make some updated tarballs of 7.10.2 will you test
> them?
>
> --
> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.


-- IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium.  Thank you.
Comment 3 Brian Paul 2011-04-21 07:12:48 UTC
OK, I've put a couple of .zip files for you to test at ftp://ftp.freedesktop.org/pub/mesa/tmp/
Comment 4 Anthony Berent 2011-05-31 12:24:08 UTC
Unfortunately it doesn't compile on my Windows machine using VC++ 2010. The problem seems to be that it can't find stdbool.h. 

I will attach a log file

- Anthony
Comment 5 Anthony Berent 2011-05-31 12:25:30 UTC
Created attachment 47407 [details]
Build log showing the stdbool.h problem.
Comment 6 Jose Fonseca 2011-05-31 12:31:36 UTC
Probably it's missing the include/c99/* files.
Comment 7 Brian Paul 2011-06-01 06:30:01 UTC
Anthony, I've put new zip files which include the c99 header files at ftp://ftp.freedesktop.org/pub/mesa/tmp/ .  Let me know if that helps.
Comment 8 Brian Paul 2011-06-08 07:17:07 UTC
I've added the include/c99/ headers to the tarball file list.
Commit 9404835ccdcd503b2cd50797f43b04ebe8db6873
Reopen this bug if there's anything else.